Resolido Docs
Skills

Test API endpoint

POST
/skills/test

Call an API endpoint with a draft skill configuration and sample inputs, without saving anything.

Authorization

bearer skills:write
headerAuthorizationBearer <token>

API key (rsl_live_…) from Settings → Developers.

Scope: skills:write

Request Body

application/json
  1. body
api*
testInputs?

Sample values for the URL placeholders or input fields, e.g. {"orderNumber": "12345"}.

Default{}

Response Body

Success

application/json
  1. response
ok*boolean
status*number
statusText*string
requestUrl*string

Called URL with query values masked.

durationMs*number
responsePreview*string

First 3000 characters of the response (data from the external API).

curl -X POST "https://example.com/skills/test" \  -H "Content-Type: application/json" \  -d '{    "api": {      "url": "http://example.com"    }  }'
{  "ok": true,  "status": 0,  "statusText": "string",  "requestUrl": "string",  "durationMs": 0,  "responsePreview": "string"}